/* nntp.h - include file for 'nntp.c'
   Copyright (C) 2000 Rik Snel <snel@phys.uu.nl>
   Parts copyright by Eric S. Raymond and the Free Software Foundation

   This file is part of newsleech.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
*/

/* Rejection strings: Retry on
	Your per-group connection limit reached
	
*/

void server_said(char *status);

int NNTP_init(struct serverinfo *server);

int NNTP_status(int sock, char *status);

int NNTP_GROUP(int sock, struct groupinfo *group);

int NNTP_ARTICLE_and_friends(int sock, char *command, FILE *fp);

int NNTP_AUTHINFO(int sock, char *user, char *pass);

int NNTP_QUIT(int sock);
