/* visits.h - include file for 'visits.c'
   Copyright (C) 2000 Rik Snel <snel@phys.uu.nl>
   Parts copyright by Eric S. Raymond and the Free Software Foundation

   This file is part of newsleech.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
*/

int visit_servers(struct serverinfo *servers, int count);

int visit_groups(int sock, struct groupinfo *groups, int count, int arety);

int visit_postings(int sock, struct postinginfo *postings, int count, int first, int last, int aretry);

int visit_articles(FILE *fp, char *command, int sock, int *articles, int count, int aretry);

int get_list(FILE *fp, char *header, int sock, int *articles, int count);
